summaryrefslogtreecommitdiffstats
path: root/admin/docblocks
diff options
context:
space:
mode:
authortailor <cygnus@janrain.com>2006-01-05 20:48:32 +0000
committertailor <cygnus@janrain.com>2006-01-05 20:48:32 +0000
commita727a9c35ee6970b5b5118da5e15695005c988bb (patch)
tree97fd8b76133304036706b20e46deec6c5ec11e66 /admin/docblocks
parentb5d63edfa89d3bc2428ebf1d616970e867d602b8 (diff)
downloadphp-openid-a727a9c35ee6970b5b5118da5e15695005c988bb.zip
php-openid-a727a9c35ee6970b5b5118da5e15695005c988bb.tar.gz
php-openid-a727a9c35ee6970b5b5118da5e15695005c988bb.tar.bz2
[project @ Added script to check for docblocks in PHP scripts]
Diffstat (limited to 'admin/docblocks')
-rw-r--r--admin/docblocks17
1 files changed, 17 insertions, 0 deletions
diff --git a/admin/docblocks b/admin/docblocks
new file mode 100644
index 0000000..56cafe6
--- /dev/null
+++ b/admin/docblocks
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+#set -e
+
+bad_files=$(find Net Tests -name \*.php |
+ xargs -l1 /usr/bin/env perl admin/docblocks.pl)
+
+if [ "$bad_files" ]
+ then
+ cat <<EOF 1>&2
+These files do not start with docblocks:
+
+$bad_files
+
+EOF
+ exit 1
+fi
+